import { ToBiconomySmartAccountParameters } from "permissionless/accounts";
import { Client, WalletClient } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { BiconomySmartAccountConfig, ISmartAccount } from "../../utils/interfaces";
export declare class BiconomySmartAccount implements ISmartAccount {
    readonly name: string;
    private options;
    constructor(options?: BiconomySmartAccountConfig);
    getSmartAccount(params: {
        walletClient: WalletClient;
        client: Client;
    } & Pick<ToBiconomySmartAccountParameters, "index" | "nonceKey" | "address">): Promise<SmartAccount>;
}
