import { Client, WalletClient } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { ISmartAccount, KernelSmartAccountConfig, KernelSmartAccountParameters } from "../../utils/interfaces";
export declare class KernelSmartAccount implements ISmartAccount {
    readonly name: string;
    private options;
    constructor(options?: KernelSmartAccountConfig);
    getSmartAccount(params: {
        walletClient: WalletClient;
        client: Client;
    } & Pick<KernelSmartAccountParameters, "address" | "nonceKey" | "index">): Promise<SmartAccount>;
}
