import { ToLightSmartAccountParameters } from "permissionless/accounts";
import { Client, WalletClient } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { ISmartAccount, LightSmartAccountConfig } from "../../utils/interfaces";
export declare class LightSmartAccount implements ISmartAccount {
    readonly name: string;
    private options;
    constructor(options?: LightSmartAccountConfig);
    getSmartAccount(params: {
        walletClient: WalletClient;
        client: Client;
    } & Pick<ToLightSmartAccountParameters, "address" | "index" | "nonceKey">): Promise<SmartAccount>;
}
