import { Client, WalletClient } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { ISmartAccount, SafeSmartAccountConfig, SafeSmartAccountParameters } from "../../utils/interfaces";
export declare class SafeSmartAccount implements ISmartAccount {
    readonly name: string;
    private options;
    constructor(options?: SafeSmartAccountConfig);
    getSmartAccount(params: {
        walletClient: WalletClient;
        client: Client;
    } & Pick<SafeSmartAccountParameters, "address" | "nonceKey" | "saltNonce" | "validUntil" | "validAfter">): Promise<SmartAccount>;
}
