import { Client, WalletClient } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { ISmartAccount, TrustSmartAccountConfig, TrustSmartAccountParameters } from "../../utils/interfaces";
export declare class TrustSmartAccount implements ISmartAccount {
    readonly name: string;
    private options;
    constructor(options?: TrustSmartAccountConfig);
    getSmartAccount(params: {
        walletClient: WalletClient;
        client: Client;
    } & Pick<TrustSmartAccountParameters, "address" | "nonceKey" | "index">): Promise<SmartAccount>;
}
