import { BaseBlockTracker, IdleTimeTracker, IPollingBlockTrackerController, PollingBlockTrackerConfig } from "@toruslabs/base-controllers";
import { EthereumBlock, PollingBlockTrackerState } from "../utils/interfaces";
export declare class PollingBlockTracker extends BaseBlockTracker<EthereumBlock, PollingBlockTrackerConfig, PollingBlockTrackerState> implements IPollingBlockTrackerController<EthereumBlock, PollingBlockTrackerConfig, PollingBlockTrackerState> {
    private pollingManager;
    constructor({ config, state, idleTimeTracker, }: {
        config: Partial<PollingBlockTrackerConfig>;
        state: Partial<PollingBlockTrackerState>;
        idleTimeTracker: IdleTimeTracker;
    });
    checkForLatestBlock(): Promise<EthereumBlock>;
    protected _start(): void;
    protected _end(): void;
    private _synchronize;
    private _updateLatestBlock;
    private _fetchLatestBlock;
}
