import { BaseConfig, BaseKeyringController, IKeyringController, KeyringControllerState } from "@toruslabs/base-controllers";
import { SignTypedDataMessageV4 } from "../utils/interfaces";
export declare class KeyringController extends BaseKeyringController<Partial<BaseConfig>, KeyringControllerState> implements IKeyringController {
    constructor({ config, state }: {
        config: Partial<BaseConfig>;
        state: Partial<KeyringControllerState>;
    });
    signTransaction<T, U>(tx: T, address: string): Promise<U>;
    getAccounts(): string[];
    importAccount(accountPrivateKey: string): string;
    removeAccount(address: string): void;
    getBufferPrivateKey(privateKey: string): Buffer<ArrayBuffer>;
    signMessage(data: string, address: string): Promise<string>;
    signPersonalMessage(data: string, address: string): Promise<string>;
    signTypedData(typedData: SignTypedDataMessageV4, address: string): Promise<string>;
    private _getWalletForAccount;
}
