import { AbstractMessageController, BaseConfig, MessageControllerState, UserRequestApprovalParams } from "@toruslabs/base-controllers";
import { JRPCRequest } from "@web3auth/auth";
import { PreferencesController } from "../Preferences/PreferencesController";
import { AddChainMessage, AddChainMessageParams } from "../utils/interfaces";
export declare class AddChainController extends AbstractMessageController<AddChainMessage, AddChainMessageParams> {
    name: string;
    protected addChain: PreferencesController["addChain"];
    constructor({ config, state, addChain, }: {
        config: Partial<BaseConfig>;
        state: Partial<MessageControllerState<AddChainMessage>>;
        addChain: PreferencesController["addChain"];
    });
    processAddChain(messageId: string): Promise<string>;
    addNewUnapprovedMessage(messageParams: AddChainMessageParams, req: JRPCRequest<unknown> & UserRequestApprovalParams): Promise<string>;
    addUnapprovedMessage(messageParams: AddChainMessageParams, req: JRPCRequest<unknown> & UserRequestApprovalParams): Promise<string>;
    prepMessageForSigning(messageParams: AddChainMessageParams): Promise<AddChainMessageParams>;
}
