import { AbstractMessageController, BaseConfig, MessageControllerState, MessageParams, UserRequestApprovalParams } from "@toruslabs/base-controllers";
import { JRPCRequest } from "@web3auth/auth";
import { KeyringController } from "../Keyring/KeyringController";
import { EthereumMessage } from "./types";
export declare class MessageController extends AbstractMessageController<EthereumMessage, MessageParams> {
    name: string;
    protected signMessage: KeyringController["signMessage"];
    constructor({ config, state, signMessage, }: {
        config: Partial<BaseConfig>;
        state: Partial<MessageControllerState<EthereumMessage>>;
        signMessage: KeyringController["signMessage"];
    });
    processSignMessage(messageId: string): Promise<string>;
    addNewUnapprovedMessage(messageParams: MessageParams, req: JRPCRequest<unknown> & UserRequestApprovalParams): Promise<string>;
    addUnapprovedMessage(messageParams: MessageParams, req: JRPCRequest<unknown> & UserRequestApprovalParams): Promise<string>;
    prepMessageForSigning(messageParams: MessageParams): Promise<MessageParams>;
}
