import { JRPCRequest, Json } from "@web3auth/auth";
export declare enum CacheStrategy {
    /**
     * Cache per-block.
     */
    Block = "block",
    /**
     * Cache until a chain reorganization occurs.
     */
    Fork = "fork",
    /**
     * Never cache.
     */
    Never = "never",
    /**
     * Permanently cache.
     */
    Permanent = "perma"
}
export declare function blockTagParamIndex(method: string): number | undefined;
export declare function cacheTypeForMethod(method: string): CacheStrategy;
export declare function cacheIdentifierForRequest(request: JRPCRequest<Json>, skipBlockRef?: boolean): string | null;
