import { type Analytics, IdleTimeTracker, ProviderConfig } from "@toruslabs/base-controllers";
import { JRPCMiddleware } from "@web3auth/auth";
import { PollingBlockTracker } from "../Block/PollingBlockTracker";
import { EthereumNetworkConfig } from "../utils/interfaces";
export declare function createChainIdMiddleware(chainId: string): JRPCMiddleware<unknown, string>;
export declare function createProviderConfigMiddleware(providerConfig: ProviderConfig): JRPCMiddleware<unknown, ProviderConfig>;
export declare function createJsonRpcClient(providerConfig: ProviderConfig, networkConfig: EthereumNetworkConfig, idleTimeTracker?: IdleTimeTracker, analytics?: Analytics): {
    networkMiddleware: JRPCMiddleware<unknown, unknown>;
    blockTracker: PollingBlockTracker;
};
