import { CustomNftItemInfo } from "@toruslabs/base-controllers";
import { Provider } from "ethers";
import { EthereumNftInfo as CustomNftInfo } from "../Nfts/INftsController";
export interface INftOptions {
    contractAddress: string;
    contractName?: string;
    contractSymbol?: string;
    contractImage?: string;
    contractSupply?: string;
    contractFallbackLogo?: string;
    nftStandard?: "erc721" | "erc1155";
    contractDescription?: string;
    chainId: string;
    provider: Provider;
}
export declare class NftHandler {
    contractAddress: string;
    contractName: string;
    contractSymbol: string;
    contractImage: string;
    contractSupply?: string;
    contractFallbackLogo?: string;
    nftStandard: "erc721" | "erc1155";
    contractDescription?: string;
    chainId: string;
    provider: Provider;
    isSpecial?: boolean;
    constructor({ chainId, contractAddress, contractImage, contractName, contractSymbol, nftStandard, provider, contractDescription, contractFallbackLogo, contractSupply, }: INftOptions);
    getNftMetadata(userAddress: string, tokenInfo: Partial<CustomNftItemInfo>): Promise<CustomNftItemInfo>;
    getContractMetadata(): Promise<Omit<CustomNftInfo, "assets">>;
    fetchNftBalance(userAddress: string, tokenId: string): Promise<string>;
    private checkNftStandard;
    private contractSupportsInterface;
    private getCollectibleTokenURI;
}
