import { BrowserProvider, Contract } from "ethers";
export interface ITokenOptions {
    address: string;
    symbol: string;
    decimals: number;
    name: string;
    provider: BrowserProvider;
}
export declare class TokenHandler {
    address: string;
    symbol: string;
    decimals: number;
    name: string;
    contract: Contract;
    constructor({ address, symbol, decimals, name, provider }: ITokenOptions);
    getSymbol(): Promise<string>;
    getDecimals(): Promise<number>;
    getName(): Promise<string>;
    getUserBalance(userAddress: string): Promise<string>;
}
