import { EthereumTransactionMeta } from "../utils/interfaces";
/**
  Generates an array of history objects sense the previous state.
  The object has the keys
    op (the operation performed),
    path (the key and if a nested object then each key will be seperated with a `/`)
    value
  with the first entry having the note and a timestamp when the change took place
*/
declare function generateHistoryEntry(previousState: Record<string, unknown>, newState: Record<string, unknown>, note?: string): Record<string, unknown>[];
/**
  Recovers previous txMeta state obj
*/
declare function replayHistory(_shortHistory: Record<string, unknown>[]): Record<string, unknown>;
declare function snapshotFromTxMeta(txMeta: EthereumTransactionMeta): EthereumTransactionMeta;
export { generateHistoryEntry, replayHistory, snapshotFromTxMeta };
